# eric7.EricWidgets.EricPasswordMeter

Module implementing a custom widget indicating the strength of a password.

### Global Attributes

None

### Classes

EricPasswordMeter | Class implementing a custom widget indicating the strength of a password.

### Functions

None

## EricPasswordMeter

Class implementing a custom widget indicating the strength of a password.

### Derived from

QProgressBar

### Class Attributes

None

### Class Methods

None

### Methods

EricPasswordMeter | Constructor
checkPasswordStrength | Public slot to check the password strength and update the progress bar accordingly.
setMaximum | Public method to set the maximum value.
setMinimum | Public method to set the minimal value.
setValue | Public method to set the value.

### Static Methods

None

#### EricPasswordMeter (Constructor)

EricPasswordMeter(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### EricPasswordMeter.checkPasswordStrength

checkPasswordStrength(password)

Public slot to check the password strength and update the progress bar accordingly.

password
  password to be checked (string)

#### EricPasswordMeter.setMaximum

setMaximum(value)

Public method to set the maximum value.

Overwritten to do nothing.

value
  maximum value (integer)

#### EricPasswordMeter.setMinimum

setMinimum(value)

Public method to set the minimal value.

Overwritten to do nothing.

value
  minimum value (integer)

#### EricPasswordMeter.setValue

setValue(value)

Public method to set the value.

Overwritten to do nothing.

value
  value (integer)

Up